Get order limits and durations
GET
/api/v1/orders/options
const url = 'https://trongas.ai/api/v1/orders/options';const options = {method: 'GET', headers: {'X-Api-Key': '<X-Api-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/orders/options \ --header 'X-Api-Key: <X-Api-Key>'What you may order: per resource (energy, bandwidth) the allowed durations, the unit one transaction costs, and the min/max volume. Also the maximum address-activation fee. Call this instead of hardcoding limits — they change.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
object
resources
required
Array<object>
object
resource
required
string
durations
required
Array<string>
unit
required
integer | string format: int64
minVolume
required
integer | string format: int64
maxVolume
required
integer | string format: int64
activationMaxTrx
required
string
object
resources
required
Array<object>
object
resource
required
string
durations
required
Array<string>
unit
required
integer | string format: int64
minVolume
required
integer | string format: int64
maxVolume
required
integer | string format: int64
activationMaxTrx
required
string
Examplegenerated
{ "resources": [ { "resource": "example", "durations": [ "example" ], "unit": 1, "minVolume": 1, "maxVolume": 1 } ], "activationMaxTrx": "example"}object
resources
required
Array<object>
object
resource
required
string
durations
required
Array<string>
unit
required
integer | string format: int64
minVolume
required
integer | string format: int64
maxVolume
required
integer | string format: int64
activationMaxTrx
required
string
Examplegenerated
{ "resources": [ { "resource": "example", "durations": [ "example" ], "unit": 1, "minVolume": 1, "maxVolume": 1 } ], "activationMaxTrx": "example"}